package com.example.mathseduc

import android.os.Bundle
import android.os.CountDownTimer
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.compose.runtime.Composable
import androidx.compose.ui.tooling.preview.Preview
import com.example.mathseduc.ui.QuizMultiScreen
import com.example.mathseduc.ui.theme.MathsEducTheme


class QuizMultiActivity : ComponentActivity() {
    companion object {
        var countDownTimer: CountDownTimer? = null
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        setContent {
            MathsEducTheme {
                QuizMultiScreen()
            }
        }
    }

    override fun onDestroy() {
        super.onDestroy()
        // Stop the CountDownTimer to avoid memory leaks
        countDownTimer?.cancel()
    }


}

@Preview(showBackground = true)
@Composable
fun QuizMultiScreenPreview() {
    MathsEducTheme {
        QuizMultiScreen()
    }

}
